# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: hestia/api/clik.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from weclikd.common import sql_field_options_pb2 as weclikd_dot_common_dot_sql__field__options__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='hestia/api/clik.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x15hestia/api/clik.proto\x12\x07weclikd\x1a\x1fgoogle/protobuf/timestamp.proto\x1a&weclikd/common/sql_field_options.proto\"\x93\x02\n\x04\x43lik\x12\x10\n\x02id\x18\x01 \x01(\x04\x42\x04\x90\xb5\x18\x01\x12\x0c\n\x04name\x18\x02 \x01(\t\x12\x19\n\x11\x62\x61nner_picture_id\x18\x03 \x01(\x04\x12\x13\n\x0b\x64\x65scription\x18\x04 \x01(\t\x12\x0f\n\x07members\x18\x05 \x01(\r\x12\x11\n\tfollowers\x18\x06 \x01(\r\x12\x13\n\x0bmax_members\x18\x07 \x01(\r\x12\x0f\n\x07website\x18\x08 \x01(\t\x12\x16\n\x0equalifications\x18\t \x03(\t\x12\x13\n\x0binvite_only\x18\n \x01(\x08\x12+\n\x07\x63reated\x18\x0b \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12\x17\n\x0ficon_picture_id\x18\x0c \x01(\x04\"\xfb\x01\n\nClikMember\x12\x15\n\x07user_id\x18\x01 \x01(\x04\x42\x04\x90\xb5\x18\x01\x12\x15\n\x07\x63lik_id\x18\x02 \x01(\x04\x42\x04\x90\xb5\x18\x01\x12\x30\n\x04type\x18\x03 \x01(\x0e\x32\".weclikd.ClikMember.ClikMemberType\x12*\n\x06joined\x18\x04 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\"a\n\x0e\x43likMemberType\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0c\n\x08OBSERVER\x10\x01\x12\x0c\n\x08\x46OLLOWER\x10\x02\x12\n\n\x06MEMBER\x10\x03\x12\t\n\x05\x41\x44MIN\x10\x04\x12\x0f\n\x0bSUPER_ADMIN\x10\x05\"\xb0\x01\n\x13\x43likUserApplication\x12\x10\n\x02id\x18\x01 \x01(\x04\x42\x04\x90\xb5\x18\x01\x12\x15\n\x07user_id\x18\x02 \x01(\x04\x42\x04\x98\xb5\x18\x01\x12\x15\n\x07\x63lik_id\x18\x03 \x01(\x04\x42\x04\x98\xb5\x18\x01\x12\x15\n\rqualification\x18\x04 \x01(\t\x12\x15\n\rknown_members\x18\x05 \x03(\x04\x12+\n\x07\x63reated\x18\x06 \x01(\x0b\x32\x1a.google.protobuf.Timestampb\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,weclikd_dot_common_dot_sql__field__options__pb2.DESCRIPTOR,])



_CLIKMEMBER_CLIKMEMBERTYPE = _descriptor.EnumDescriptor(
  name='ClikMemberType',
  full_name='weclikd.ClikMember.ClikMemberType',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='OBSERVER', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='FOLLOWER', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='MEMBER', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='ADMIN', index=4, number=4,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SUPER_ADMIN', index=5, number=5,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=540,
  serialized_end=637,
)
_sym_db.RegisterEnumDescriptor(_CLIKMEMBER_CLIKMEMBERTYPE)


_CLIK = _descriptor.Descriptor(
  name='Clik',
  full_name='weclikd.Clik',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.Clik.id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='name', full_name='weclikd.Clik.name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='banner_picture_id', full_name='weclikd.Clik.banner_picture_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='description', full_name='weclikd.Clik.description', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='members', full_name='weclikd.Clik.members', index=4,
      number=5, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.Clik.followers', index=5,
      number=6, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='max_members', full_name='weclikd.Clik.max_members', index=6,
      number=7, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='website', full_name='weclikd.Clik.website', index=7,
      number=8, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='qualifications', full_name='weclikd.Clik.qualifications', index=8,
      number=9, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='invite_only', full_name='weclikd.Clik.invite_only', index=9,
      number=10, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.Clik.created', index=10,
      number=11, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='icon_picture_id', full_name='weclikd.Clik.icon_picture_id', index=11,
      number=12, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=108,
  serialized_end=383,
)


_CLIKMEMBER = _descriptor.Descriptor(
  name='ClikMember',
  full_name='weclikd.ClikMember',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.ClikMember.user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.ClikMember.clik_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.ClikMember.type', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='joined', full_name='weclikd.ClikMember.joined', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _CLIKMEMBER_CLIKMEMBERTYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=386,
  serialized_end=637,
)


_CLIKUSERAPPLICATION = _descriptor.Descriptor(
  name='ClikUserApplication',
  full_name='weclikd.ClikUserApplication',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.ClikUserApplication.id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.ClikUserApplication.user_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\230\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.ClikUserApplication.clik_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\230\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='qualification', full_name='weclikd.ClikUserApplication.qualification', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='known_members', full_name='weclikd.ClikUserApplication.known_members', index=4,
      number=5, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.ClikUserApplication.created', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=640,
  serialized_end=816,
)

_CLIK.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_CLIKMEMBER.fields_by_name['type'].enum_type = _CLIKMEMBER_CLIKMEMBERTYPE
_CLIKMEMBER.fields_by_name['joined'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_CLIKMEMBER_CLIKMEMBERTYPE.containing_type = _CLIKMEMBER
_CLIKUSERAPPLICATION.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
DESCRIPTOR.message_types_by_name['Clik'] = _CLIK
DESCRIPTOR.message_types_by_name['ClikMember'] = _CLIKMEMBER
DESCRIPTOR.message_types_by_name['ClikUserApplication'] = _CLIKUSERAPPLICATION
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Clik = _reflection.GeneratedProtocolMessageType('Clik', (_message.Message,), {
  'DESCRIPTOR' : _CLIK,
  '__module__' : 'hestia.api.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Clik)
  })
_sym_db.RegisterMessage(Clik)

ClikMember = _reflection.GeneratedProtocolMessageType('ClikMember', (_message.Message,), {
  'DESCRIPTOR' : _CLIKMEMBER,
  '__module__' : 'hestia.api.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ClikMember)
  })
_sym_db.RegisterMessage(ClikMember)

ClikUserApplication = _reflection.GeneratedProtocolMessageType('ClikUserApplication', (_message.Message,), {
  'DESCRIPTOR' : _CLIKUSERAPPLICATION,
  '__module__' : 'hestia.api.clik_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ClikUserApplication)
  })
_sym_db.RegisterMessage(ClikUserApplication)


_CLIK.fields_by_name['id']._options = None
_CLIKMEMBER.fields_by_name['user_id']._options = None
_CLIKMEMBER.fields_by_name['clik_id']._options = None
_CLIKUSERAPPLICATION.fields_by_name['id']._options = None
_CLIKUSERAPPLICATION.fields_by_name['user_id']._options = None
_CLIKUSERAPPLICATION.fields_by_name['clik_id']._options = None
# @@protoc_insertion_point(module_scope)
